Bug 1794289 - uboot-tools-2020.01-1.fc32: FTBFS multiple definition of `yylloc'; scripts/dtc/dtc-lexer.lex.o:(.bss+0x0): first defined here
Summary: uboot-tools-2020.01-1.fc32: FTBFS multiple definition of `yylloc'; scripts/dt...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 08:10 UTC by Jitka Plesnikova
Modified: 2020-05-04 19:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-30 15:16:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-01-23 08:10:44 UTC
uboot-tools-2020.01-1.fc32 fails to build in F32:

  gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -o scripts/dtc/dtc scripts/dtc/dtc.o scripts/dtc/flattree.o scripts/dtc/fstree.o scripts/dtc/data.o scripts/dtc/livetree.o scripts/dtc/treesource.o scripts/dtc/srcpos.o scripts/dtc/checks.o scripts/dtc/util.o scripts/dtc/dtc-lexer.lex.o scripts/dtc/dtc-parser.tab.o  
/usr/bin/ld: scripts/dtc/dtc-parser.tab.o:(.bss+0x10): multiple definition of `yylloc'; scripts/dtc/dtc-lexer.lex.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

A difference between passing and failing build root is at https://koschei.fedoraproject.org/build/7777101
This is probably triggered with an upgrade of gcc from 9.2.1-1.fc32.3 to 10.0.1-0.4.fc32.

Comment 1 duanjing 2020-05-04 15:43:23 UTC
Any solution for this one as we came across this in our company's cmake upgrade recently.

Comment 2 Peter Robinson 2020-05-04 19:29:10 UTC
(In reply to duanjing from comment #1)
> Any solution for this one as we came across this in our company's cmake
> upgrade recently.

It's an issue in the code you need to find it there, if the code you're referring to is U-Boot a fix went upstream and is in 2020.04


Note You need to log in before you can comment on or make changes to this bug.